Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1519805 - [Scale][Driver] Conflict when creating a Floating IP
Summary: [Scale][Driver] Conflict when creating a Floating IP
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: python-networking-odl
Version: 12.0 (Pike)
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 14.0 (Rocky)
Assignee: Mike Kolesnik
QA Contact: Noam Manos
URL:
Whiteboard: Scale
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-12-01 13:18 UTC by Sridhar Gaddam
Modified: 2019-03-06 16:17 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-03-06 16:15:59 UTC


Attachments (Terms of Use)
Neutron Server logs (deleted)
2017-12-01 13:22 UTC, Sridhar Gaddam
no flags Details


Links
System ID Priority Status Summary Last Updated
Launchpad 1738247 None None None 2017-12-14 17:43:57 UTC

Description Sridhar Gaddam 2017-12-01 13:18:49 UTC
Description of problem:
When running Browbeat+Rally scenario with netcreate-boot-ping scenario (where we spawn a VM, associate a FIP and then try to ping the FIP with concurrency set to 5 and times set to 500), we observed the following in neutron server logs.

Setup:
OSP12 image
ODL running in a non-cluster, non-container setup with 1 controller and 32 compute nodes.
Port-status is disabled in this setup and inactivity_probe/max_backoff are appropriately configured.

RPMs used:
python-networking-odl-11.0.0-2.el7ost.noarch
opendaylight-6.2.0-5.el7ost.noarch

For the initial few VMs, rally plugin was able to create FIP successfully. But from 40th VM onwards there was a failure in FloatingIP creation.

On looking at Neutron logs, we could see "conflict when trying to complete your request" errors.

2017-12-01 11:58:54.454 948420 INFO neutron.api.v2.resource [req-82bbdf57-a9ab-410e-9440-fde78d299b36 4f3065ec9a8b40ab8291b285cdd33fdd f505a5e332c5463c92ac74c48badc286 - default default] create failed (client error): There was a conflict when trying to complete your request.
2017-12-01 11:58:54.454 948420 INFO neutron.wsgi [req-82bbdf57-a9ab-410e-9440-fde78d299b36 4f3065ec9a8b40ab8291b285cdd33fdd f505a5e332c5463c92ac74c48badc286 - default default] 172.16.0.26 "POST /v2.0/routers.json HTTP/1.1" status: 409  len: 345 time: 2.6300662

Since the FloatingIP creation is failing, the test suite is failing.

Comment 1 Sridhar Gaddam 2017-12-01 13:22:49 UTC
Created attachment 1361603 [details]
Neutron Server logs

Comment 2 Mike Kolesnik 2017-12-12 10:18:07 UTC
Is there an upstream bug for this?

Comment 3 Sridhar Gaddam 2017-12-14 17:43:58 UTC
Upstream Bug: https://bugs.launchpad.net/networking-odl/+bug/1738247

Comment 5 Mike Kolesnik 2018-02-19 11:41:23 UTC
This should be fixed as part of L3 Flavors, which should be available in OSP 14

Comment 10 Franck Baudin 2019-03-06 16:15:59 UTC
As per depreciation notice [1], closing this bug. Please reopen if relevant for RHOSP13, as this is the only version shipping ODL.

[1] https://access.redhat.com/documentation/en-us/red_hat_openstack_platform/14/html-single/release_notes/index#deprecated_functionality

Comment 11 Franck Baudin 2019-03-06 16:17:32 UTC
As per depreciation notice [1], closing this bug. Please reopen if relevant for RHOSP13, as this is the only version shipping ODL.

[1] https://access.redhat.com/documentation/en-us/red_hat_openstack_platform/14/html-single/release_notes/index#deprecated_functionality


Note You need to log in before you can comment on or make changes to this bug.